> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statistics of all authors (aggregated)



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /reports/getAllAuthorsStatistics
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /reports/getAllAuthorsStatistics:
    get:
      tags:
        - Reports
      summary: Get statistics of all authors (aggregated)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            example: 1
            minimum: 1
        - in: query
          name: limit
          schema:
            type: integer
            example: 50
            minimum: 1
            maximum: 200
        - in: query
          name: sortBy
          description: Sort by aggregate metric
          schema:
            type: string
            enum:
              - count
              - date
            example: count
        - in: query
          name: order
          schema:
            type: string
            enum:
              - asc
              - desc
            example: desc
        - in: query
          name: from
          schema:
            type: string
            format: date-time
            example: '2025-10-01T00:00:00Z'
        - in: query
          name: to
          schema:
            type: string
            format: date-time
            example: '2025-10-31T23:59:59Z'
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                OK:
                  value:
                    success: true
                    statusCode: 200
                    message: OK
                    data:
                      items:
                        - userId: '{{objectId}}'
                          firstName: John
                          lastName: Author
                          articles: 22
                          lastArticleAt: '2025-10-25T09:10:00Z'
                      pagination:
                        total: 1
                        page: 1
                        limit: 50
                        totalPages: 1
        '500':
          description: Server error
          content:
            application/json:
              examples:
                ServerError:
                  value:
                    success: false
                    statusCode: 500
                    message: Failed to find users usage statistics
                    data: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````